# Uses of Class
ch.qos.logback.core.net.ssl.SSLParametersConfiguration

Packages that use SSLParametersConfiguration
Package
Description
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of SSLParametersConfiguration in ch.qos.logback.core.net.ssl

Methods in ch.qos.logback.core.net.ssl that return SSLParametersConfiguration
Modifier and Type
Method
Description
`SSLParametersConfiguration`
SSLConfiguration.`getParameters()`
Gets the SSL parameters configuration.
Methods in ch.qos.logback.core.net.ssl with parameters of type SSLParametersConfiguration
Modifier and Type
Method
Description
`void`
SSLConfiguration.`setParameters(SSLParametersConfiguration parameters)`
Sets the SSL parameters configuration.
Constructors in ch.qos.logback.core.net.ssl with parameters of type SSLParametersConfiguration
Modifier
Constructor
Description
``
`ConfigurableSSLServerSocketFactory(SSLParametersConfiguration parameters, SSLServerSocketFactory delegate)`
Creates a new factory.
``
`ConfigurableSSLSocketFactory(SSLParametersConfiguration parameters, SSLSocketFactory delegate)`
Creates a new factory.